.timeline {
    color: $dark;
    font-size: rem(20);
    line-height: rem(30);

    &__item {
        position: relative;
        padding-left: rem(55);

        &:before {
            top: rem(10);
            bottom: 0;
            left: rem(16);
            z-index: 1;
            content: '';
            width: 5px;
            position: absolute;
            background: linear-gradient(97.57deg, rgba(64, 146, 255, 0.85) 0%, rgba(0, 88, 206, 0.85) 100%), #FFFFFF;
        }

        &:not(:last-child) {
            padding-bottom: rem(26);
        }
    }

    &__num {
        top: 0;
        left: 0;
        z-index: 10;
        color: $white;
        width: rem(38);
        height: rem(38);
        font-size: rem(20);
        line-height: rem(24);
        padding-top: rem(6);
        border-radius: 50%;
        text-align: center;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        background: linear-gradient(97.57deg, rgba(64, 146, 255, 0.85) 0%, rgba(0, 88, 206, 0.85) 100%), #FFFFFF;
    }

    &__title {
        font-weight: 700;
        font-size: rem(24);
        line-height: rem(30);
        margin-bottom: rem(10);
        background: linear-gradient(97.57deg, rgba(64, 146, 255, 0.85) 0%, rgba(0, 88, 206, 0.85) 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        background-clip: text;
        text-fill-color: transparent;
    }

    @include media-breakpoint-up(lg) {

        &__item {
            padding-left: 0;
            display: flex;
            justify-content: space-between;

            &:before {
                left: calc(50% - 2px);
            }

            &:not(:last-child) {
                padding-bottom: rem(40);
            }

            &--active {
                font-weight: 500;
                font-size: rem(24);
                line-height: rem(30);

                .timeline {

                    &__title {
                        font-size: rem(36);
                        line-height: rem(45);
                    }

                    &__num {
                        width: rem(52);
                        height: rem(52);
                        font-size: rem(24);
                        line-height: rem(32);
                        left: calc(50% - 26px);
                        padding-top: rem(+8);
                    }
                }
            }
        }

        &__title {
            width: rem(420);
            margin-bottom: 0;
            flex-shrink: 0;
        }

        &__text {
            width: rem(400);
            flex-shrink: 0;
        }

        &__num {
            left: calc(50% - 18px);
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {

            &:not(:last-child) {
                padding-bottom: rem(50);
            }
        }

        &__title {
            width: rem(554);
        }

        &__text {
            width: rem(530);
        }
    }
}
